# Generated by Django 4.1.11 on 2023-10-12 13:57

from django.db import migrations, models
import django_prometheus.models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="BaseNetworkDevice",
            fields=[
                ("id", models.AutoField(primary_key=True, serialize=False)),
                ("name", models.CharField(max_length=50)),
                ("network", models.CharField(blank=True, max_length=50)),
                ("salt_key_status", models.CharField(blank=True, max_length=20)),
                ("serial", models.CharField(max_length=100)),
            ],
            bases=(
                django_prometheus.models.ExportModelOperationsMixin("device"),
                models.Model,
            ),
        ),
    ]
